Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
MotivationCode
/
{id}
cURL
curl --request GET \
  --url https://prod-api.raisedonors.com/api/MotivationCode/{id} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "code": "<string>",
  "siteUrl": "<string>",
  "description": "<string>",
  "zipCodes": "<string>",
  "price": 123,
  "cost": 123,
  "sortOrder": 123,
  "pin": true,
  "groups": [
    {
      "id": 123,
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

Response

OK

id
integer<int64> | null
name
string | null
code
string | null
mediaType
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
7
siteUrl
string | null
description
string | null
zipCodes
string | null
price
number<double> | null
cost
number<double> | null
sortOrder
integer<int32> | null
pin
boolean
groups
object[] | null
Last modified on June 5, 2026